Bug 495749 - rhel4 sat server, basic client provisioning fails
rhel4 sat server, basic client provisioning fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McCune
Steve Salevan
https://dhcp77-141.rhndev.redhat.com/...
:
Depends On:
Blocks: 457075 486216
  Show dependency treegraph
 
Reported: 2009-04-14 11:55 EDT by wes hayutin
Modified: 2009-10-28 15:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-28 15:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-04-14 11:55:57 EDT
Description of problem:

RHEL 4 4/13 build x86 server

rlx-3-06 client

1. register client
2. give provisioning, entitlement
3. create basic rhel 4 ks profile
4. ks client

ks fails..

http error log:
[Tue Apr 14 11:37:32 2009] [notice] mod_python: (Re)importing module 'services'
[Tue Apr 14 11:37:32 2009] [error] [client 10.10.76.177] PythonHandler services: Traceback (most recent call last):
[Tue Apr 14 11:37:32 2009] [error] [client 10.10.76.177] PythonHandler services:   File "/usr/lib/python2.3/site-packages/mod_python/apache.py", line 287, in HandlerDispatch\n    log=debug)
[Tue Apr 14 11:37:32 2009] [error] [client 10.10.76.177] PythonHandler services:   File "/usr/lib/python2.3/site-packages/mod_python/apache.py", line 457, in import_module\n    module = imp.load_module(mname, f, p, d)
[Tue Apr 14 11:37:32 2009] [error] [client 10.10.76.177] PythonHandler services:   File "/var/www/cobbler/svc/services.py", line 22, in ?\n    from cobbler.services import CobblerSvc
[Tue Apr 14 11:37:32 2009] [error] [client 10.10.76.177] PythonHandler services:   File "/usr/lib/python2.3/site-packages/cobbler/services.py", line 31, in ?\n    import urlgrabber
[Tue Apr 14 11:37:32 2009] [error] [client 10.10.76.177] PythonHandler services: ImportError: No module named urlgrabber




it seems python-urlgrabber is rhel5 only..
Comment 1 Mike McCune 2009-04-14 17:33:00 EDT
we are adding python-urlgrabber to the rhel4 ISO.  this is incoming ...
Comment 2 Mike McCune 2009-04-14 18:20:00 EDT
RPM for EL4 can be found here:

http://porkchop.devel.redhat.com/brewroot/packages/python-urlgrabber/2.9.8/0.3.el4/noarch/python-urlgrabber-2.9.8-0.3.el4.noarch.rpm

if you want a workaround please download and install.
Comment 3 Justin Sherrill 2009-04-15 11:49:22 EDT
Moving to on_qa as cliff suggested.
Comment 4 wes hayutin 2009-04-22 09:17:16 EDT
verified
Comment 5 Steve Salevan 2009-04-22 13:54:45 EDT
Moving to FAILS_QA on 4/20 530 build...  it appears that python-urlgrabber is no longer present in the rhn-tools channels for RHEL 4, though the RHEL4 spacewalk-koan package has a dependency on it.  From a RHEL4/i386 system:

[root@rhel4-i386 ~]# up2date spacewalk-koan

Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching Obsoletes list for channel: rhn-tools-rhel-4-as-i386...

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------
spacewalk-koan                          0.1.11         4.el4sat          noarch


Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
koan  1.6.3-4.el4sat                     requires python-urlgrabber
Comment 6 Steve Salevan 2009-04-24 15:08:00 EDT
Upon conversing with Cliff, it appears that this issue is VERIFIED.  From testing on a RHEL4 530 Satellite, RHEL 4 kickstarts did not fail in the manner described, so it looks good, tested on the 4/14 build.
Comment 7 Jan Pazdziora 2009-09-11 04:18:40 EDT
Stage validated. With Satellite-5.3.0-RHEL4-re20090820.1 and RHEL 4 and RHN Tools for RHEL 4 channels synced, kickstart of RHEL 4 machine went just fine. Moving to RELEASE_PENDING.
Comment 8 Clifford Perry 2009-10-28 15:26:25 EDT
somehow missed and did not move to CLOSED when 530 GA'd

Note You need to log in before you can comment on or make changes to this bug.